<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Controller;

use App\Service\UserPreferenceService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;

class UserPreferenceController extends AbstractController
{

    protected $userPreferenceService;

    public function __construct(UserPreferenceService $userPreferenceService)
    {
        $this->userPreferenceService = $userPreferenceService;
    }

    public function getUserPreferenceAction()
    {
        $userPrefProvider = $this->userPrefProvider();
        /** @var UserPreference $userPref */
        $userPref = $userPrefProvider->getUserPref();
        $serializer = $this->get('serializer');
        $normalizedUserPref = $serializer->normalize($userPref, 'json');
        return JsonResponse::create($normalizedUserPref);
    }

    /**
     * @return UserPreferenceProvider
     */
    private function userPrefProvider()
    {
        return $this->userPreferenceService;
    }

    public function createUserPreferenceAction(Request $request)
    {
        $userPrefProvider = $this->userPrefProvider();
        $reqBody = json_decode($request->getContent(), true);
        /** @var UserPreference $userPref */
        $userPref = $userPrefProvider->saveUserPref($reqBody);
        $serializer = $this->get('serializer');
        $normalizedUserPref = $serializer->normalize($userPref, 'json');
        return JsonResponse::create($normalizedUserPref);
    }
}
