<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Encoder\Restricted;

use Symfony\Component\Security\Core\Authentication\Token\AbstractToken;

class RestrictedUserToken extends AbstractToken
{
      /** @var string */
      protected $payload;

      protected $email;

      /**
       * {@inheritdoc}
       */
      public function __construct(array $roles = array())
      {
          parent::__construct($roles);
  
          $this->setAuthenticated(count($roles) > 0);
      }
  
      /**
       * @param string $payload
       */
      public function setPayload($payload)
      {
          $this->payload = $payload;
      }

      /**
       * @param string $payload
       */
      public function setEmail($email)
      {
          $this->email = $email;
      }

      public function getEmail()
      {
          return $this->email;
      }
  
      public function getCredentials()
      {
          return $this->payload;
      }
}