<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Entity\Base;

use Symfony\Component\Serializer\Annotation\Groups;

/**
 * @Doctrine\ORM\Mapping\MappedSuperclass
 * @Doctrine\ORM\Mapping\HasLifecycleCallbacks
 */
abstract class BaseEntity
{
    /**
     * @Doctrine\ORM\Mapping\Id
     * @Doctrine\ORM\Mapping\Column(name="uuid", type="string", length=150, nullable=false)
     * @Groups({"fsr_primary", "fsr_all", "uuid"})
     */
    protected $uuid;

    /**
     * Set uuid
     *
     * @return BaseEntity
     */
    public function setUuid($uuid)
    {
        $this->uuid = $uuid;

        return $this;
    }

    /**
     * Get uuid
     *
     */
    public function getUuid()
    {
        return $this->uuid;
    }
}

