<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Entity\Core;

use ApiPlatform\Core\Annotation\ApiResource;
use App\Repository\PgFileRepository;
use Ramsey\Uuid\Uuid;

/**
 * @ApiResource()
 * @Doctrine\ORM\Mapping\Entity(repositoryClass=PgFileRepository::class)
 * @Doctrine\ORM\Mapping\Table(name="pgfile")
 */
class PgFile
{
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->uuid = Uuid::uuid4()->toString();
    }

    /**
     * @Doctrine\ORM\Mapping\Id
     * @Doctrine\ORM\Mapping\Column(name="uuid", type="string", length=150, nullable=false)
     */
    protected $uuid;

    /**
     * @Doctrine\ORM\Mapping\Column(type="blob", nullable=true)
     */
    private $file;

    /**
     * Set uuid
     *
     * @param integer $uuid
     * @return BaseEntity
     */
    public function setUuid()
    {
        $this->uuid = Uuid::uuid4()->toString();

        return $this;
    }

    /**
     * Get uuid
     *
     * @return integer
     */
    public function getUuid()
    {
        return $this->uuid;
    }


    public function getFile()
    {
        return $this->file;
    }

    public function setFile($file): self
    {
        $this->file = $file;

        return $this;
    }
}
