<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\EventSubscriber;

use App\Service\UtilityService;
use App\Constants\CacheConstants;
use App\Entity\Actors\Actor;
use Doctrine\ORM\Event\LifecycleEventArgs;
use App\Entity\Custom\Appliance;
use App\Entity\Custom\Person;
use Symfony\Contracts\Cache\TagAwareCacheInterface;

class ActorCacheListener
{
    protected $cache;
    protected $utilityService;

    public function __construct(UtilityService $utilityService, TagAwareCacheInterface $cache)
    {
        $this->utilityService = $utilityService;
        $this->cache = $cache;
    }

    private function invalidateCache($args) {
        $entity = get_class($args->getObject());
        if (in_array($entity, [Actor::class, Appliance::class, Person::class])) {
            $this->cache->invalidateTags([CacheConstants::USER_PERMISSIONS, CacheConstants::ACCESSIBLE_PARENT_TEAMS, CacheConstants::ACCESSIBLE_CHILD_TEAMS]);
            $cmd = sprintf('sudo -u nginx php /opt/cyops-api/bin/console app:util %s %s %s',CacheConstants::USER_PERMISSIONS, CacheConstants::ACCESSIBLE_PARENT_TEAMS, CacheConstants::ACCESSIBLE_CHILD_TEAMS);
            $this->utilityService->broadcastToHA('cluster_ch_cache_clear', $cmd);
        }
    }

    public function postUpdate(LifecycleEventArgs $args)
    {
        $this->invalidateCache($args);
    }

    public function postPersist(LifecycleEventArgs $args)
    {
        $this->invalidateCache($args);
    }
}
