<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\EventSubscriber;

use ApiPlatform\Core\Api\IriConverterInterface;
use App\Entity\Actors\Actor;
use App\Entity\Actors\Avatar;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

class AvatarListener
{
    protected $container;
    protected $entityManager;
    protected $iriConverter;

    public function __construct(ContainerInterface $containers, IriConverterInterface $iriConverter, EntityManagerInterface $entityManager)
    {
        $this->container = $containers;
        $this->iriConverter = $iriConverter;
        $this->entityManager = $entityManager;
    }

    public function prePersist(Avatar $avatar)
    {
        $actorUuid = $avatar->getUuid();
        $entityRepo = $this->entityManager->getRepository(Actor::class);
        $actor = $entityRepo->findOneBy(["uuid" => $actorUuid]);
        if ($actor) {
            $avatarIri = $this->iriConverter->getIriFromItem($avatar);
            $actor->setAvatar($avatarIri);
            $this->entityManager->persist($actor);
            $this->entityManager->flush();
        }
    }
}
