<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Repository;


use App\Entity\Workflow\Rule;
use Doctrine\Persistence\ManagerRegistry;
use App\Doctrine\ORM\JsonExpressionBuilder;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;

/**
 * @method Rule|null find($id, $lockMode = null, $lockVersion = null)
 * @method Rule|null findOneBy(array $criteria, array $orderBy = null)
 * @method Rule[]    findAll()
 * @method Rule[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class RuleRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Rule::class);
    }

    public function getRulesByTrigger($when, $action, $resource)
    {
        $queryBuilder = $this->createQueryBuilder('r');
        $expressionBuilder = new JsonExpressionBuilder();
        $triggerFilter = strtolower(sprintf('{"when":"%s","action":["%s"],"resource":"%s"}', $when, $action, $resource));
        $queryBuilder->setParameter(':triggerFilter', $triggerFilter);
        $queryBuilder->setParameter(':isActive', true);

        $queryBuilder->where($expressionBuilder->eq('r.isActive', ':isActive'))
            ->andWhere($expressionBuilder->jsonContains('r.trigger', ':triggerFilter'));
        return $queryBuilder->getQuery()->execute();
    }
}
