<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Repository;


use App\Entity\Core\Tag;
use InvalidArgumentException;
use Doctrine\Persistence\ManagerRegistry;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;

/**
 * @method Tag|null find($id, $lockMode = null, $lockVersion = null)
 * @method Tag|null findOneBy(array $criteria, array $orderBy = null)
 * @method Tag[]    findAll()
 * @method Tag[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TagRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Tag::class);
    }

    /**
     * @param $userId
     * @return Avatar
     */
    public function UpsertTag($tags)
    {
        foreach ($tags as $tag) {
            $placeholders[] = '(%s)';
            $values[] = "'" . $tag . "'";
        }
        $sql = vsprintf('INSERT INTO tags (uuid)  VALUES ' . implode(', ', $placeholders) . ' ON CONFLICT (uuid) DO Nothing', $values);
        $tagExecute = $this->getEntityManager()->getConnection()->prepare($sql);
        try {
            $tagExecute->executeQuery();
        } catch (InvalidArgumentException | \Exception $e) {
            error_log($e->getMessage());
        }
    }
}
