<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Serializer\Normalizer;

use App\Entity\ModelMetadata\AttributeMetadata;
use App\Entity\ModelMetadata\AttribModelMetadata;

class AttributeMetadataNormalizer extends EfficientItemNormalizer
{
    public function normalize($object, $format = null, array $context = [])
    {
        if (isset($context['object_class'])) {
            unset($context['object_class']);
        }
        unset($context['relationsAsJson']);
        $data = parent::normalize($object, $format, $context);
        return $data;
    }

    public function supportsNormalization($data, $format = null): bool
    {
        return $data instanceof AttributeMetadata || $data instanceof AttribModelMetadata;
    }
}
