<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Service\ConfigExportImport;

use Psr\Container\ContainerInterface;

/**
 * Class ConfigPorter
 * @package App\Service
 */
abstract class ConfigPorter
{   
    /** @var array */
    protected $keys;

    /** @var ContainerInterface */
    protected $container;

    protected $configTypes;

    public function __construct(ContainerInterface $container) {
        $this->configTypes = [
            'appSettings' => 'fsr.core.service.app_settings_config',
            'picklistNames' => 'fsr.core.service.picklist_name_config',
            'modules' => 'fsr.core.service.module_config',
            'viewTemplates' => 'fsr.core.service.view_config',
            'views' => 'fsr.core.service.view_config',
            'roles' => 'fsr.core.service.role_config',
            'actors' => 'fsr.core.service.actor_config',
            'teams' => 'fsr.core.service.team_config',
            'playbooks' => 'fsr.core.service.playbook_config',
            'reports' => 'fsr.core.service.report_config',
            'dashboards' => 'fsr.core.service.dashboard_config',
            'connectors' => 'fsr.core.service.connector_config',
            'widgets' => 'fsr.core.service.widget_config',
            'recordSets' => 'fsr.core.service.record_set_config',
        ];
        $this->container = $container;
    }

    public function getConfigTypes() {
        return $this->configTypes;
    }

}
