<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Service;

use App\Entity\Actors\Actor;
use App\Entity\Authorization\Team;
use Symfony\Component\Security\Core\Authentication\Token\TokenInterface;

class TeamsProvider extends AbstractUserDataProvider
{
    /**
     * @inheritdoc
     * @return Team[]
     */
    public function getDataForActor(Actor $actor)
    {
        $teams = $actor->getTeams()->toArray();

        return $teams;
    }

    /**
     * @inheritdoc
     * @return Team[]
     */
    public function getDataForToken(TokenInterface $token)
    {
        return parent::getDataForToken($token);
    }

    /**
     * @inheritdoc
     * @return Team[]
     */
    public function getDataForCurrentUser()
    {
        return parent::getDataForCurrentUser();
    }
}
